Debian Bug report logs - #566026
debhelper: dh_fixperms fails when it tries to run chmod

version graph

Package: fakeroot-ng; Maintainer for fakeroot-ng is Shachar Shemesh <shachar@debian.org>; Source for fakeroot-ng is src:fakeroot-ng.

Reported by: Wookey <wookey@debian.org>

Date: Wed, 20 Jan 2010 18:39:13 UTC

Severity: important

Tags: patch

Fixed in version fakeroot-ng/0.18-1

Done: Shachar Shemesh <shachar@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#566026; Package debhelper. (Wed, 20 Jan 2010 18:39:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wookey <wookey@debian.org>:
New Bug report received and forwarded. Copy sent to Joey Hess <joeyh@debian.org>. (Wed, 20 Jan 2010 18:39:16 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Wookey <wookey@debian.org>
To: submit@bugs.debian.org
Subject: debhelper: dh_fixperms fails when it tries to run chmod
Date: Wed, 20 Jan 2010 18:46:06 +0000
Package: debhelper
Version: 7.4.10
Severity: important

Any package using dh_fixperms (pretty-much all of them) fails to build
because I get this error:
chmod: changing permissions of debian/build-tools/usr/share/doc/build-tools': Invalid argument
dh_fixperms: find debian/build-tools/usr/share/doc -type d  -print0 2>/dev/null | xargs -0r chmod 755 returned exit code 123

If the offending command is run manually it works fine:
find debian/build-tools/usr/share/doc -type d  -print0 2>/dev/null | xargs -0r chmod 755

I really don't understand what is going wrong -there isn't much to go wrong with 
chmod 755

I suspect it it is running the 'wrong' chmod - but I can't see how any version could
find '755' an 'Invalid argument'

This definately broke when I upgraded to current squeeze from mostly-lenny (so a huge
pile of stuff changed, including the default /bin/sh.).
I guess it may not really be a debhelper problem but it is manfesting here and I
haven't noticed anything else broken.

I've tried running dash as the shell and then doing 
find debian/build-tools/usr/share/doc -type d  -print0 2>/dev/null | xargs -0r chmod 755
and it still works fine.

If I run dh_fixperms on it's own as myself I get:
$ DH_VERBOSE=1 dh_fixperms
        find debian/build-tools  -print0 2>/dev/null | xargs -0r chown --no-dereference 0:0 
chown: changing ownership of debian/build-tools': Operation not permitted
chown: changing ownership of debian/build-tools/usr': Operation not permitted
chown: changing ownership of debian/build-tools/usr/share': Operation not permitted
chown: changing ownership of debian/build-tools/usr/share/doc': Operation not permitted
chown: changing ownership of debian/build-tools/usr/share/doc/build-tools': Operation not permitted
chown: changing ownership of debian/build-tools/usr/share/doc/build-tools/changelog': Operation not permitted
chown: changing ownership of debian/build-tools/usr/bin': Operation not permitted
chown: changing ownership of debian/build-tools/usr/bin/build': Operation not permitted
chown: changing ownership of debian/build-tools/usr/bin/repo-fixownerships': Operation not permitted
chown: changing ownership of debian/build-tools/usr/bin/repo-ipkg-reindex': Operation not permitted
chown: changing ownership of debian/build-tools/usr/bin/repo-insert-ipkg': Operation not permitted
chown: changing ownership of debian/build-tools/usr/bin/repo-processuploads': Operation not permitted
chown: changing ownership of debian/build-tools/usr/bin/repo-reprocess': Operation not permitted
chown: changing ownership of debian/build-tools/usr/bin/repo-listvoices': Operation not permitted
chown: changing ownership of debian/build-tools/usr/bin/tcl-listversions': Operation not permitted
dh_fixperms: find debian/build-tools  -print0 2>/dev/null | xargs -0r chown --no-dereference 0:0 returned exit code 123

which is fair enough (no fakeroot)

With fakeroot we get the dh_fixperms error:
$ DH_VERBOSE=1 fakeroot dh_fixperms
        find debian/build-tools  -print0 2>/dev/null | xargs -0r chown --no-dereference 0:0
        find debian/build-tools ! -type l  -print0 2>/dev/null | xargs -0r chmod go=rX,u+rw,a-s
        find debian/build-tools/usr/share/doc -type f  ! -regex 'debian/build-tools/usr/share/doc/[^/]*/examples/.*' -print0 2>/dev/null | xargs -0r chmod 644
        find debian/build-tools/usr/share/doc -type d  -print0 2>/dev/null | xargs -0r chmod 755
chmod: changing permissions of debian/build-tools/usr/share/doc/build-tools': Invalid argument
dh_fixperms: find debian/build-tools/usr/share/doc -type d  -print0 2>/dev/null | xargs -0r chmod 755 returned exit code 123

Running as root it works fine:
# DH_VERBOSE=1 dh_fixperms
        find debian/build-tools  -print0 2>/dev/null | xargs -0r chown --no-dereference 0:0
        find debian/build-tools ! -type l  -print0 2>/dev/null | xargs -0r chmod go=rX,u+rw,a-s
        find debian/build-tools/usr/share/doc -type f  ! -regex 'debian/build-tools/usr/share/doc/[^/]*/examples/.*' -print0 2>/dev/null | xargs -0r chmod 644
        find debian/build-tools/usr/share/doc -type d  -print0 2>/dev/null | xargs -0r chmod 755
        find debian/build-tools/usr/share/man debian/build-tools/usr/man/ debian/build-tools/usr/X11*/man/ -type f -print0 2>/dev/null | xargs -0r chmod 644
        find debian/build-tools -perm -5 -type f \( -name '*.so*' -or -name '*.la' -or -name '*.a' \)  -print0 2>/dev/null | xargs -0r chmod 644
        find debian/build-tools/usr/include -type f  -print0 2>/dev/null | xargs -0r chmod 644
        find debian/build-tools/usr/share/applications -type f -print0 2>/dev/null | xargs -0r chmod 644
        find debian/build-tools -perm -5 -type f \( -name '*.cmxs' \) -print0 2>/dev/null | xargs -0r chmod 644
        find debian/build-tools/usr/lib/perl5 debian/build-tools/usr/share/perl5 -type f -perm -5 -name '*.pm' -print0 2>/dev/null | xargs -0r chmod a-X
        find debian/build-tools/usr/bin -type f  -print0 2>/dev/null | xargs -0r chmod a+x

Running it as root via fakeroot we get the dh_fixperms problem again. That loks like a clue.
Perhaps it is a fakeroot problem really?

# DH_VERBOSE=1 fakeroot dh_fixperms
        find debian/build-tools  -print0 2>/dev/null | xargs -0r chown --no-dereference 0:0
        find debian/build-tools ! -type l  -print0 2>/dev/null | xargs -0r chmod go=rX,u+rw,a-s
        find debian/build-tools/usr/share/doc -type f  ! -regex 'debian/build-tools/usr/share/doc/[^/]*/examples/.*' -print0 2>/dev/null | xargs -0r chmod 644
        find debian/build-tools/usr/share/doc -type d  -print0 2>/dev/null | xargs -0r chmod 755
chmod: changing permissions of debian/build-tools/usr/share/doc/build-tools': Invalid argument
dh_fixperms: find debian/build-tools/usr/share/doc -type d  -print0 2>/dev/null | xargs -0r chmod 755 returned exit code 123


Any other ideas? It is entirely repeatable, and is quite serious because I can't build
any packages on this machine!

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (990, 'testing'), (700, 'stable'), (300, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.30-2-amd64 (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages debhelper depends on:
ii  binutils                      2.20-4     The GNU assembler, linker and bina
ii  dpkg-dev                      1.14.25    Debian package development tools
ii  file                          5.03-5     Determines file type using "magic"
ii  html2text                     1.3.2a-14  advanced HTML to text converter
ii  man-db                        2.5.6-4    on-line manual pager
ii  perl                          5.10.1-8   Larry Wall's Practical Extraction 
ii  perl-base                     5.10.1-8   minimal Perl system
ii  po-debconf                    1.0.16     tool for managing templates file t

debhelper recommends no packages.

Versions of packages debhelper suggests:
ii  dh-make                       0.50       tool that converts source archives

-- no debconf information
Wookey
-- 
Principal hats:  iEndian - Balloonboard - Toby Churchill - Emdebian
http://wookware.org/

----- End forwarded message -----
Wookey
-- 
Principal hats:  iEndian - Balloonboard - Toby Churchill - Emdebian
http://wookware.org/




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#566026; Package debhelper. (Wed, 20 Jan 2010 19:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. (Wed, 20 Jan 2010 19:03:03 GMT) Full text and rfc822 format available.

Message #10 received at 566026@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Wookey <wookey@debian.org>, 566026@bugs.debian.org
Subject: Re: Bug#566026: debhelper: dh_fixperms fails when it tries to run chmod
Date: Wed, 20 Jan 2010 14:00:29 -0500
[Message part 1 (text/plain, inline)]
Wookey wrote:
> Running it as root via fakeroot we get the dh_fixperms problem again. That loks like a clue.
> Perhaps it is a fakeroot problem really?
> 
> # DH_VERBOSE=1 fakeroot dh_fixperms
>         find debian/build-tools  -print0 2>/dev/null | xargs -0r chown --no-dereference 0:0
>         find debian/build-tools ! -type l  -print0 2>/dev/null | xargs -0r chmod go=rX,u+rw,a-s
>         find debian/build-tools/usr/share/doc -type f  ! -regex 'debian/build-tools/usr/share/doc/[^/]*/examples/.*' -print0 2>/dev/null | xargs -0r chmod 644
>         find debian/build-tools/usr/share/doc -type d  -print0 2>/dev/null | xargs -0r chmod 755
> chmod: changing permissions of debian/build-tools/usr/share/doc/build-tools': Invalid argument
> dh_fixperms: find debian/build-tools/usr/share/doc -type d  -print0 2>/dev/null | xargs -0r chmod 755 returned exit code 123
> 
> 
> Any other ideas?

Seems that you have not tried running the chmod command manually inside
fakeroot.

I can't reproduce this problem on amd64. Seems certian to be a fakeroot
or possibly coreutils problem though. (Note that a new coreutils entered
unstable 4 days ago.) So, suggest you isolate the package thru targeted
downgrades.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#566026; Package debhelper. (Wed, 20 Jan 2010 19:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wookey <wookey@wookware.org>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>. (Wed, 20 Jan 2010 19:39:03 GMT) Full text and rfc822 format available.

Message #15 received at 566026@bugs.debian.org (full text, mbox):

From: Wookey <wookey@wookware.org>
To: Joey Hess <joeyh@debian.org>
Cc: 566026@bugs.debian.org
Subject: Re: Bug#566026: debhelper: dh_fixperms fails when it tries to run chmod
Date: Wed, 20 Jan 2010 19:43:12 +0000
+++ Joey Hess [2010-01-20 14:00 -0500]:
> Wookey wrote:
> > Running it as root via fakeroot we get the dh_fixperms problem again. That loks like a clue.
> > Perhaps it is a fakeroot problem really?
> > 
> > # DH_VERBOSE=1 fakeroot dh_fixperms
> >         find debian/build-tools  -print0 2>/dev/null | xargs -0r chown --no-dereference 0:0
> >         find debian/build-tools ! -type l  -print0 2>/dev/null | xargs -0r chmod go=rX,u+rw,a-s
> >         find debian/build-tools/usr/share/doc -type f  ! -regex 'debian/build-tools/usr/share/doc/[^/]*/examples/.*' -print0 2>/dev/null | xargs -0r chmod 644
> >         find debian/build-tools/usr/share/doc -type d  -print0 2>/dev/null | xargs -0r chmod 755
> > chmod: changing permissions of debian/build-tools/usr/share/doc/build-tools': Invalid argument
> > dh_fixperms: find debian/build-tools/usr/share/doc -type d  -print0 2>/dev/null | xargs -0r chmod 755 returned exit code 123
> > 
> > 
> > Any other ideas?
> 
> Seems that you have not tried running the chmod command manually inside
> fakeroot.

$ fakeroot
root@eisluft:~/tcl/lwdev-svn/tools/build-tools# chmod 755 debian/build-tools/usr/share/doc debian/build-tools/usr/share/doc/build-tools
chmod: changing permissions of debian/build-tools/usr/share/doc/build-tools': Invalid argument
root@eisluft:~/tcl/lwdev-svn/tools/build-tools# chmod 755 debian/build-tools/usr/share/doc/build-tools debian/build-tools/usr/share/doc/build-tools
chmod: changing permissions of debian/build-tools/usr/share/doc/build-tools': Invalid argument
root@eisluft:~/tcl/lwdev-svn/tools/build-tools# chmod 755 debian/build-tools/usr/share/doc/build-tools
root@eisluft:~/tcl/lwdev-svn/tools/build-tools# chmod 755 debian/build-tools/usr/share/doc/build-tools foo
chmod: cannot access foo': No such file or directory
root@eisluft:~/tcl/lwdev-svn/tools/build-tools# chmod 755 debian/build-tools/usr/share/doc/build-tools debian/build-tools/usr/share/doc
chmod: changing permissions of debian/build-tools/usr/share/doc':
Invalid argument

OK, yes, looks like the second valid file given to chmod inside fakeroot is giving invalid argument. 

Thanx for the clarity of thought. I'll do some more tests to narrow it down.

perhaps re-assign to fakeroot for now? It's clearly not debhelper's fault.

Wookey
-- 
Principal hats:  iEndian - Balloonboard - Toby Churchill - Emdebian
http://wookware.org/




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#566026; Package debhelper. (Wed, 20 Jan 2010 20:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. (Wed, 20 Jan 2010 20:09:05 GMT) Full text and rfc822 format available.

Message #20 received at 566026@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Wookey <wookey@wookware.org>
Cc: 566026@bugs.debian.org
Subject: Re: Bug#566026: debhelper: dh_fixperms fails when it tries to run chmod
Date: Wed, 20 Jan 2010 15:07:56 -0500
[Message part 1 (text/plain, inline)]
Wookey wrote:
> $ fakeroot
> root@eisluft:~/tcl/lwdev-svn/tools/build-tools# chmod 755 debian/build-tools/usr/share/doc debian/build-tools/usr/share/doc/build-tools
> chmod: changing permissions of debian/build-tools/usr/share/doc/build-tools': Invalid argument

I can't reproduce that either, FWIW:

joey@finch:~/tmp>mkdir -p debian/build-tools/usr/share/doc debian/build-tools/usr/share/doc/build-tools
joey@finch:~/tmp>fakeroot
root@finch:~/tmp>chmod 755 debian/build-tools/usr/share/doc debian/build-tools/usr/share/doc/build-tools

An strace might be interesting.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'debhelper' to 'fakeroot'. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. (Wed, 20 Jan 2010 20:12:06 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions debhelper/7.4.10. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. (Wed, 20 Jan 2010 20:12:07 GMT) Full text and rfc822 format available.

Message sent on to Wookey <wookey@debian.org>:
Bug#566026. (Thu, 21 Jan 2010 04:18:03 GMT) Full text and rfc822 format available.

Message #27 received at 566026-submitter@bugs.debian.org (full text, mbox):

From: Clint Adams <schizo@debian.org>
To: 566026-submitter@bugs.debian.org
Subject: fakeroot chmod
Date: Thu, 21 Jan 2010 04:13:49 +0000
Versions of coreutils and libc6?




Information stored :
Bug#566026; Package fakeroot. (Thu, 21 Jan 2010 13:24:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wookey <wookey@wookware.org>:
Extra info received and filed, but not forwarded. (Thu, 21 Jan 2010 13:24:13 GMT) Full text and rfc822 format available.

Message #32 received at 566026-quiet@bugs.debian.org (full text, mbox):

From: Wookey <wookey@wookware.org>
To: Clint Adams <schizo@debian.org>, 566026-quiet@bugs.debian.org
Cc: 566026-submitter@bugs.debian.org
Subject: Re: Bug#566026: fakeroot chmod
Date: Thu, 21 Jan 2010 13:26:57 +0000
+++ Clint Adams [2010-01-21 04:13 +0000]:
> Versions of coreutils and libc6?

ii  coreutils             7.4-2                 The GNU core utilities
ii  fakeroot              1.14.4-1              Gives a fake root environment
ii  fakeroot-ng           0.16-1                Gives a fake root environment

Hmm, fakeroot-ng is present. A clue, perhaps?

And if I remove fakeroot-ng then the problem goes away. So it looks
like this is in fact a fakroot-ng bug, or possibly an interaction.

And if I remove fakeroot and re-install fakeroot-ng then it breaks
again.

This seems to be the minimal way to provoke it:
$ fakeroot-ng
# mkdir foo bar
# chmod 755 foo bar
chmod: changing permissions of bar': Invalid argument

Here's an strace of it going wrong. HTH

# strace chmod 755 foo bar
execve("/bin/chmod", ["chmod", "755", "foo", "bar"], [/* 27 vars */]) = 0
brk(0)                                  = 0x1487000
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7fd6d5da0000
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
mmap(NULL, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7fd6d5d9e000
access("/etc/ld.so.preload", R_OK)      = -1 ENOENT (No such file or directory)
open("/etc/ld.so.cache", O_RDONLY)      = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=142355, ...}) = 0
mmap(NULL, 142355, PROT_READ, MAP_PRIVATE, 3, 0) = 0x7fd6d5d7b000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/lib/libc.so.6", O_RDONLY)        = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\320\353\1\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=1379752, ...}) = 0
mmap(NULL, 3487784, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7fd6d5835000
mprotect(0x7fd6d597f000, 2097152, PROT_NONE) = 0
mmap(0x7fd6d5b7f000, 20480, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x14a000) = 0x7fd6d5b7f000
mmap(0x7fd6d5b84000, 18472, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x7fd6d5b84000
close(3)                                = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7fd6d5d7a000
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7fd6d5d79000
arch_prctl(ARCH_SET_FS, 0x7fd6d5d796f0) = 0
mprotect(0x7fd6d5b7f000, 16384, PROT_READ) = 0
mprotect(0x7fd6d5da5000, 4096, PROT_READ) = 0
munmap(0x7fd6d5d7b000, 142355)          = 0
brk(0)                                  = 0x1487000
brk(0x14a8000)                          = 0x14a8000
open("/usr/lib/locale/locale-archive", O_RDONLY) = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=1330768, ...}) = 0
mmap(NULL, 1330768, PROT_READ, MAP_PRIVATE, 3, 0) = 0x7fd6d5c34000
close(3)                                = 0
umask(0)                                = 022
stat("foo", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
fchmodat(AT_FDCWD, "foo", 0755)         = 0
stat("bar", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
fchmodat(AT_FDCWD, "bar", 0755)         = -1 EINVAL (Invalid argument)
open("/usr/share/locale/locale.alias", O_RDONLY) = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=2570, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7fd6d5d9d000
read(3, "# Locale name alias data base.\n#"..., 4096) = 2570
read(3, "", 4096)                       = 0
close(3)                                = 0
munmap(0x7fd6d5d9d000, 4096)            = 0
open("/usr/share/locale/en_GB.UTF-8/LC_MESSAGES/coreutils.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/locale/en_GB.utf8/LC_MESSAGES/coreutils.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/locale/en_GB/LC_MESSAGES/coreutils.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/locale/en.UTF-8/LC_MESSAGES/coreutils.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/locale/en.utf8/LC_MESSAGES/coreutils.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/locale/en/LC_MESSAGES/coreutils.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
write(2, "chmod: ", 7chmod: )                  = 7
write(2, "changing permissions of bar'", 29changing permissions of bar') = 29
open("/usr/share/locale/en_GB.UTF-8/LC_MESSAGES/libc.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/locale/en_GB.utf8/LC_MESSAGES/libc.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/locale/en_GB/LC_MESSAGES/libc.mo", O_RDONLY) = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=1474, ...}) = 0
mmap(NULL, 1474, PROT_READ, MAP_PRIVATE, 3, 0) = 0x7fd6d5d9d000
close(3)                                = 0
open("/usr/share/locale/en.UTF-8/LC_MESSAGES/libc.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/locale/en.utf8/LC_MESSAGES/libc.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/locale/en/LC_MESSAGES/libc.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
write(2, ": Invalid argument", 18: Invalid argument)      = 18
write(2, "\n", 1)                       = 1
close(1)                                = 0
close(2)                                = 0
exit_group(1)                           = ?

Wookey
-- 
Principal hats:  iEndian - Balloonboard - Toby Churchill - Emdebian
http://wookware.org/




Message sent on to Wookey <wookey@debian.org>:
Bug#566026. (Thu, 21 Jan 2010 13:24:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#566026; Package fakeroot. (Thu, 21 Jan 2010 17:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Clint Adams <schizo@debian.org>:
Extra info received and forwarded to list. (Thu, 21 Jan 2010 17:06:04 GMT) Full text and rfc822 format available.

Message #40 received at 566026@bugs.debian.org (full text, mbox):

From: Clint Adams <schizo@debian.org>
To: Wookey <wookey@wookware.org>
Cc: 566026@bugs.debian.org, joeyh@debian.org, control@bugs.debian.org
Subject: Re: Bug#566026: fakeroot chmod
Date: Thu, 21 Jan 2010 17:03:50 +0000
reassign 566026 fakeroot-ng
quit

On Thu, Jan 21, 2010 at 01:26:57PM +0000, Wookey wrote:
> ii  coreutils             7.4-2                 The GNU core utilities
> ii  fakeroot              1.14.4-1              Gives a fake root environment
> ii  fakeroot-ng           0.16-1                Gives a fake root environment
> 
> Hmm, fakeroot-ng is present. A clue, perhaps?
> 
> And if I remove fakeroot-ng then the problem goes away. So it looks
> like this is in fact a fakroot-ng bug, or possibly an interaction.

Wow, I didn't realize that fakeroot-ng installed a fakeroot alternative.




Bug reassigned from package 'fakeroot' to 'fakeroot-ng'. Request was from Clint Adams <schizo@debian.org> to control@bugs.debian.org. (Thu, 21 Jan 2010 17:06:06 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from Robie Basak <robie@justgohome.co.uk> to control@bugs.debian.org. (Wed, 31 Mar 2010 19:36:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Shachar Shemesh <shachar@debian.org>:
Bug#566026; Package fakeroot-ng. (Wed, 31 Mar 2010 20:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robie Basak <robie@justgohome.co.uk>:
Extra info received and forwarded to list. Copy sent to Shachar Shemesh <shachar@debian.org>. (Wed, 31 Mar 2010 20:27:03 GMT) Full text and rfc822 format available.

Message #49 received at 566026@bugs.debian.org (full text, mbox):

From: Robie Basak <robie@justgohome.co.uk>
To: 566026@bugs.debian.org
Cc: control@bugs.debian.org
Subject: fakechroot-ng chmod failure
Date: Wed, 31 Mar 2010 20:34:05 +0100
tags 566026 patch
thanks

I've just hit this problem. It seems that something changed in Linux
x86_64 newfstatat/fstatat64 syscall at some point. I'm not clear on the
details, but this patch seems to fix it.

(before, chmod was calling fstatat which called newfstatat which failed;
now the fstatat hook calls fstatat64 instead)

If this is correct, then the bug would have affected x86_64 only. The
patch should apply and work against both 0.16 and 0.17.

diff -urN fakeroot-ng-0.17.orig/arch/linux/x86_64/platform_specific.h fakeroot-ng-0.17/arch/linux/x86_64/platform_specific.h
--- fakeroot-ng-0.17.orig/arch/linux/x86_64/platform_specific.h	2009-05-19 03:45:43.000000000 +0100
+++ fakeroot-ng-0.17/arch/linux/x86_64/platform_specific.h	2010-03-31 20:23:11.000000000 +0100
@@ -117,7 +117,7 @@
 #define PREF_STAT SYS_stat
 #define PREF_LSTAT SYS_lstat
 #define PREF_FSTAT SYS_fstat
-#define PREF_FSTATAT SYS_newfstatat
+#define PREF_FSTATAT SYS_fstatat64
 
 #define PREF_NOP SYS_getuid
 #define PREF_MMAP SYS_mmap




Reply sent to Shachar Shemesh <shachar@debian.org>:
You have taken responsibility. (Fri, 12 Apr 2013 16:06:05 GMT) Full text and rfc822 format available.

Notification sent to Wookey <wookey@debian.org>:
Bug acknowledged by developer. (Fri, 12 Apr 2013 16:06:05 GMT) Full text and rfc822 format available.

Message #54 received at 566026-close@bugs.debian.org (full text, mbox):

From: Shachar Shemesh <shachar@debian.org>
To: 566026-close@bugs.debian.org
Subject: Bug#566026: fixed in fakeroot-ng 0.18-1
Date: Fri, 12 Apr 2013 16:02:34 +0000
Source: fakeroot-ng
Source-Version: 0.18-1

We believe that the bug you reported is fixed in the latest version of
fakeroot-ng, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 566026@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Shachar Shemesh <shachar@debian.org> (supplier of updated fakeroot-ng package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 12 Apr 2013 13:14:05 +0000
Source: fakeroot-ng
Binary: fakeroot-ng
Architecture: source amd64
Version: 0.18-1
Distribution: unstable
Urgency: low
Maintainer: Shachar Shemesh <shachar@debian.org>
Changed-By: Shachar Shemesh <shachar@debian.org>
Description: 
 fakeroot-ng - Gives a fake root environment
Closes: 566026 701451
Changes: 
 fakeroot-ng (0.18-1) unstable; urgency=low
 .
   * New upstream version
   * Fix "debhelper: dh_fixperms fails when it tries to run chmod"
     fixed bug in fchmodat implementation (Closes: #566026)
   * Fix "ftbfs with eglibc-2.17" Problem was probably with gcc 4.8 rather than
     eglibc itself. (Closes: #701451)
   * Fixed problem with threads support
Checksums-Sha1: 
 24603b65c0ff899ff82dbe626397f096c34ad15c 1388 fakeroot-ng_0.18-1.dsc
 288dadbd50ff36a9eb11d4bc14213c6d1beaafaa 207870 fakeroot-ng_0.18.orig.tar.gz
 c9fa6ce8faff6f2e9686606ea3580eb7ea35bff4 4037 fakeroot-ng_0.18-1.debian.tar.gz
 a9afe815264b149db101a6e9d5a019335d861903 70344 fakeroot-ng_0.18-1_amd64.deb
Checksums-Sha256: 
 ce27ee158944b0d7bc863b2f01bc154015446263b703b35ad6b83956390685fc 1388 fakeroot-ng_0.18-1.dsc
 189eacda630752980d40e34b2c01ce23d839daab3d691a4706bb9eac79f7e144 207870 fakeroot-ng_0.18.orig.tar.gz
 3eb76f0ee7b8ae423aadabf1618d7c005b8f3f4cfafd5290148e8c3b3d5a733e 4037 fakeroot-ng_0.18-1.debian.tar.gz
 e2889de1848e853b1c669e837df654910aa7e56003ab7798dda5dcdc809a2d81 70344 fakeroot-ng_0.18-1_amd64.deb
Files: 
 e6310f1c80fd4c87495413a11cbfd17f 1388 utils extra fakeroot-ng_0.18-1.dsc
 7bdfd3a72d00b4847e2023d922c289fa 207870 utils extra fakeroot-ng_0.18.orig.tar.gz
 9f5a7d4d6d5a9ff2dbf85e1df20532fb 4037 utils extra fakeroot-ng_0.18-1.debian.tar.gz
 7aad4cd296c1f6eb24b08b616c9966f0 70344 utils extra fakeroot-ng_0.18-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQEcBAEBCAAGBQJRaCwcAAoJEKDFrRNZzTZTvt4H/2x5tzICc/O2SMbUJ6Q0LFEN
XxrbHifbQFKY/1p04uYDG9wAdajSXvTl8Kz7KVIUeVFjycu3SpUOUXw4Og0lO5we
sibAoFULjnWTdDuOXXUuiJnXW4IzPInf4JlDVt2cXQ3jtBwEdU9HeoBo1OG+R0Dm
GLod/jKvuOoIaMOAKDn6Sx1LaD5Bl/crzuuMYLkTx/m2uPpvgigIPdWohJktGypJ
+9VoszVZlWcVYJsjOetEtNHcWeWMhJXJhi3qLcLoyQWJwVAXbAS+W1andxYvjH0f
PcUPCviXiZFRiwUVU88Gq/HaQ2rXHHtOHhSJMD8gYPKHRM1Ri9MRUv7e9CroNis=
=f8rU
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 19 Feb 2014 07:29:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 07:19:28 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.